summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-04-21 01:53:37 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2019-04-21 13:30:58 +0200
commit0369fd931feeec7800ed7a9114f2df747f5cc98c (patch)
tree786d2831b2cab5dfecb0ada1320ae7451b20df4f
parentkde5-meta-pkg.eclass: Remove last-rited eclass (diff)
downloadgentoo-0369fd931feeec7800ed7a9114f2df747f5cc98c.tar.gz
gentoo-0369fd931feeec7800ed7a9114f2df747f5cc98c.tar.bz2
gentoo-0369fd931feeec7800ed7a9114f2df747f5cc98c.zip
dev-cpp/libcmis: Add USE tools
Package-Manager: Portage-2.3.64, Repoman-2.3.12 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
-rw-r--r--dev-cpp/libcmis/libcmis-0.5.2-r1.ebuild66
-rw-r--r--dev-cpp/libcmis/libcmis-9999.ebuild28
-rw-r--r--dev-cpp/libcmis/metadata.xml3
3 files changed, 78 insertions, 19 deletions
diff --git a/dev-cpp/libcmis/libcmis-0.5.2-r1.ebuild b/dev-cpp/libcmis/libcmis-0.5.2-r1.ebuild
new file mode 100644
index 00000000000..a060dbb78ee
--- /dev/null
+++ b/dev-cpp/libcmis/libcmis-0.5.2-r1.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} = 9999 ]]; then
+ EGIT_REPO_URI="https://github.com/tdf/libcmis.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/tdf/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+fi
+inherit autotools flag-o-matic
+
+DESCRIPTION="C++ client library for the CMIS interface"
+HOMEPAGE="https://github.com/tdf/libcmis"
+
+LICENSE="|| ( GPL-2 LGPL-2 MPL-1.1 )"
+SLOT="0.5"
+
+IUSE="man static-libs test tools"
+
+BDEPEND="
+ virtual/pkgconfig
+ man? (
+ app-text/docbook2X
+ dev-libs/libxslt
+ )
+ test? (
+ dev-util/cppcheck
+ dev-util/cppunit
+ )
+"
+DEPEND="
+ dev-libs/boost:=
+ dev-libs/libxml2
+ net-misc/curl
+"
+RDEPEND="${DEPEND}"
+
+RESTRICT="test"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ # bug 618778
+ append-cxxflags -std=c++14
+
+ local myeconfargs=(
+ --program-suffix=-$(ver_cut 1-2)
+ --disable-werror
+ $(use_with man)
+ $(use_enable static-libs static)
+ $(use_enable test tests)
+ $(use_enable tools client)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}
diff --git a/dev-cpp/libcmis/libcmis-9999.ebuild b/dev-cpp/libcmis/libcmis-9999.ebuild
index 33f9f92173e..a060dbb78ee 100644
--- a/dev-cpp/libcmis/libcmis-9999.ebuild
+++ b/dev-cpp/libcmis/libcmis-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -6,11 +6,9 @@ EAPI=7
if [[ ${PV} = 9999 ]]; then
EGIT_REPO_URI="https://github.com/tdf/libcmis.git"
inherit git-r3
-elif [[ ${PV} = *_pre* ]]; then
- COMMIT=738528d790b2b1d52d9b72d673842969a852815d
- SRC_URI="https://github.com/tdf/${PN}/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
else
SRC_URI="https://github.com/tdf/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
fi
inherit autotools flag-o-matic
@@ -20,18 +18,8 @@ HOMEPAGE="https://github.com/tdf/libcmis"
LICENSE="|| ( GPL-2 LGPL-2 MPL-1.1 )"
SLOT="0.5"
-# Don't move KEYWORDS on the previous line or ekeyword won't work # 399061
-[[ ${PV} == 9999 ]] || \
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="man static-libs test tools"
-IUSE="man static-libs test"
-
-RDEPEND="
- dev-libs/boost:=
- dev-libs/libxml2
- net-misc/curl
-"
-DEPEND="${RDEPEND}"
BDEPEND="
virtual/pkgconfig
man? (
@@ -43,11 +31,15 @@ BDEPEND="
dev-util/cppunit
)
"
+DEPEND="
+ dev-libs/boost:=
+ dev-libs/libxml2
+ net-misc/curl
+"
+RDEPEND="${DEPEND}"
RESTRICT="test"
-[[ ${PV} = *_pre* ]] && S="${WORKDIR}/${PN}-${COMMIT}"
-
src_prepare() {
default
eautoreconf
@@ -63,7 +55,7 @@ src_configure() {
$(use_with man)
$(use_enable static-libs static)
$(use_enable test tests)
- --enable-client
+ $(use_enable tools client)
)
econf "${myeconfargs[@]}"
}
diff --git a/dev-cpp/libcmis/metadata.xml b/dev-cpp/libcmis/metadata.xml
index afb9c075be7..02623876d9c 100644
--- a/dev-cpp/libcmis/metadata.xml
+++ b/dev-cpp/libcmis/metadata.xml
@@ -6,7 +6,8 @@
<name>Gentoo Office project</name>
</maintainer>
<use>
- <flag name="man">Build and install man pages.</flag>
+ <flag name="man">Build and install man pages</flag>
+ <flag name="tools">Build client tool for testing and viewing features</flag>
</use>
<upstream>
<remote-id type="github">tdf/libcmis</remote-id>